Submit profile
POST
/v1/account/register/{regId}/profile
const url = 'https://api.parasta.io/v1/account/register/example/profile';const options = { method: 'POST', headers: { 'Idempotency-Key': '2489E9AD-2EE2-8E00-8EC9-32D5F69181C0', 'X-Pass-Token': '<X-Pass-Token>', 'Content-Type': 'application/json' }, body: '{"residentNumber":"example","address":"example","englishName":"example","transactionPurpose":"investment","fundSource":"salary","occupation":"example","email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://api.parasta.io/v1/account/register/example/profile \ --header 'Content-Type: application/json' \ --header 'Idempotency-Key: 2489E9AD-2EE2-8E00-8EC9-32D5F69181C0' \ --header 'X-Pass-Token: <X-Pass-Token>' \ --data '{ "residentNumber": "example", "address": "example", "englishName": "example", "transactionPurpose": "investment", "fundSource": "salary", "occupation": "example", "email": "hello@example.com" }'Authorizations
Section titled “Authorizations ”Parameters
Section titled “ Parameters ”Path Parameters
Section titled “Path Parameters ” regId
required
string
Header Parameters
Section titled “Header Parameters ” Idempotency-Key
required
string format: uuid
IETF draft-ietf-httpapi-idempotency-key-header. Generated freshly by the client for each request.
Request Body required
Section titled “Request Body required ” Media type application/json
object
residentNumber
Encrypted value
string
address
string
englishName
string
transactionPurpose
string
fundSource
string
occupation
string
email
string format: email
Responses
Section titled “ Responses ”OK
Media type application/json
object
step
string
Example generated
{ "step": "example"}